At least one required implicit or forwarded dependency was not found

В результате открытие на windows 10 в программе Dependency Walker файла для поиска .dll библиотек .exe qt6 файлу  появляется ошибка и предупреждения:

Error: At least one required implicit or forwarded dependency was not found.

Warning: At least one delay-load dependency module was not found.

Warning: At least one module has an unresolved import due to a missing export function in a delay-load dependent module.

At least one required implicit or forwarded dependency was not found

Данная ошибка связана с тем, что с 2007 года программа Dependency Walker не поддерживается, актуальную версию  можно скачать на git hab — Dependencies — An open-source modern Dependency Walker.

Dependencies x64

и также использовать windeployqt


Для запуска Qt6 с QML на windows 10 c готовым exe файлом должна выглядеть, как пример, следующим образом:

qml qt6 exe windows 10

67

Leave a Reply

Ваш адрес email не будет опубликован.